Subject: [Sip] Doubt related to URI parameters in remote-URI.

From: "Vineet Gupta" <[email-masked]>
Date: Wed, 24 Sep 2008 19:48:58 +0530

Hi,
I have very basic doubt related to URI parameters present in remote-contact
URI (i.e. top-most Route URI or Remote Contact URI).

Case 1: The remote-URI contains URI parameters like transport=TCP and
comp=sigcomp once INVITE dialog is established.
a) Is it mandatory for all the requests within the dialog to have
transport=TCP and comp=sigcomp in the via header, and there-by compress each
and every request and send it over TCP.
b) Can I send some request within the same dialog by retaining these
parameter in the request-URI, but not them copying them onto the via header,
thereby sending the request uncompressed and on UDP.

Case 2:  The remote-URI does not contain any URI parameters.
a) Can any request within the dialog be sent with any parameters like
transport=tcp;comp=sigcomp by putting them in via header irrespective of the
way first request within the dialog (Ofcourse, keeping the capabilities of
remote in mind) ?

In general, if the parameters in the remote URI don't have any binding on
the requests within the dialog, what is there significance??

Regards,
Vineet.
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Vineet Gupta" <[email-masked]>
Date: Tue, 30 Sep 2008 22:25:27 +0530

Hi,
I understand that the below questions might appear naive. However, I would
really appreciate opinion(s) on this, as this is required for my design.

Regards,
Vineet.

On Wed, Sep 24, 2008 at 7:48 PM, Vineet Gupta <[email-masked]>wrote:

> transport=TCP and comp=sigcomp in the via header, there forcing compression
> and TCP transport for any connection within the dialog.
> In general, do the parameters in the remote URI have any binding on
> requests within the dialog?
>
>
> Regards,
> Vineet.
>

---

From: "Rockson Li (zhengyli)" <[email-masked]>
Date: Wed, 1 Oct 2008 15:04:36 +0800

Vineet,
 
If remote target URI has transport parameter, you should send it using
the specified transport as per RFC3263.
The transport specified in Via sent-protocol transport should be set
accordingly.
 
-Rockson
   
________________________________

From: [email-masked] [mailto:[email-masked]] On Behalf Of
Vineet Gupta
Sent: Wednesday, October 01, 2008 12:55 AM
To: [email-masked]
Subject: Re: [Sip] Doubt related to URI parameters in remote-URI.

Hi, 

I understand that the below questions might appear naive. However, I
would really appreciate opinion(s) on this, as this is required for my
design.

Regards,
Vineet.

On Wed, Sep 24, 2008 at 7:48 PM, Vineet Gupta <[email-masked]>
wrote:

	Hi, 

	I have very basic doubt related to URI parameters present in
remote-contact URI (i.e. top-most Route URI or Remote Contact URI).

	Case 1: The remote-URI contains URI parameters like
transport=TCP and comp=sigcomp once INVITE dialog is established.
	a) Is it mandatory for all the requests within the dialog to
have transport=TCP and comp=sigcomp in the via header, there forcing
compression and TCP transport for any connection within the dialog.
	b) Can I send some request within the same dialog by retaining
these parameter in the request-URI, but not them copying them onto the
via header, thereby sending the request uncompressed and on UDP.

	Case 2:  The remote-URI does not contain any URI parameters.
	a) Can any request within the dialog be sent with any parameters
like transport=tcp;comp=sigcomp by putting them in via header
irrespective of the way first request within the dialog (Ofcourse,
keeping the capabilities of remote in mind) ?

	In general, do the parameters in the remote URI have any binding
on requests within the dialog?

	Regards,
	Vineet.